%define bootstrap 1
%{?_without_bootstrap: %global bootstrap 0}
%{?_with_bootstrap: %global bootstrap 1}

%if "%distro_section" == "tainted"
%global build_plf 1
%else
%global build_plf 0
%endif

# (cg) Cheater...
%define Werror_cflags %nil

# (aco) Needed for the dri drivers
%define _disable_ld_no_undefined 1

# http://cgit.freedesktop.org/mesa/mesa/commit/?h=9.1&id=38e728498b8ef63bb7dce77c64af11c98ec2efa4
%define git 0
%define git_branch 9.2
%define with_hardware 1

%define opengl_ver 3.3

%define relc			0
%define rel			3

%define release			%mkrel %{rel}
%define src_type tar.xz
#define vsuffix			%{expand:}
%define vsuffix			%nil

%if %{relc}
%define release			%mkrel 3.rc%{relc}.%{rel}
%define vsuffix -rc%{relc}
%define src_type tar.bz2
%endif

%if %{git}
%if %{relc}
%define release			%mkrel 1~rc%{relc}.1.git%{git}.%{rel}
%else
%define release			%mkrel 1.git%{git}.%{rel}
%endif
%endif

%define makedepend		%{_bindir}/gccmakedep

%define d3dname			d3d
%define eglname			mesaegl
%define glname			mesagl
%define glwname			mesaglw
%define glesv1name		mesaglesv1
%define glesv2name		mesaglesv2
%define openvgname		mesaopenvg
%define glapiname		glapi
%define gbmname			gbm
%define waylandeglname		wayland-egl
%define xaname			xatracker

%define d3dmajor		1
%define eglmajor		1
%define glmajor			1
%define glwmajor		1
%define glesv1major		1
%define glesv2major		2
%define openvgmajor		1
%define glapimajor		0
%define gbmmajor		1
%define waylandeglmajor		1
%define osmesamajor		8
%define xamajor			2

%define libd3dname		%mklibname %{d3dname} %{d3dmajor}
%define libeglname              %mklibname %{eglname} %{eglmajor}
%define libglname		%mklibname %{glname} %{glmajor}
%define libglwname		%mklibname %{glwname} %{glwmajor}
%define libglesv1name		%mklibname %{glesv1name}_ %{glesv1major}
%define libglesv2name		%mklibname %{glesv2name}_ %{glesv2major}
%define libopenvgname		%mklibname %{openvgname} %{openvgmajor}
%define libglapiname		%mklibname %{glapiname} %{glapimajor}
%define libgbmname		%mklibname %{gbmname} %{gbmmajor}
%define libwaylandeglname	%mklibname %{waylandeglname} %{waylandeglmajor}
%define libosmesaname		%mklibname osmesa %{osmesamajor}
%define libxaname		%mklibname %{xaname} %{xamajor}

%define dridrivers		%mklibname dri-drivers

%define osmesadevel		%mklibname osmesa -d

# Architecture-independent Virtual provides:
%define libd3dname_virt		lib%{d3dname}
%define libeglname_virt		lib%{eglname}
%define libglname_virt		lib%{glname}
%define libglwname_virt		lib%{glwname}
%define libglesv1name_virt	lib%{glesv1name}
%define libglesv2name_virt	lib%{glesv2name}
%define libopenvgname_virt	lib%{openvgname}
%define libglapiname_virt       lib%{glapiname}
%define libgbmname_virt       	lib%{gbmname}
%define libwaylandeglname_virt	lib%{waylandeglname}
%define libxaname_virt		lib%{xaname}

%define oldlibglname		%mklibname MesaGL 1

%define mesasrcdir		%{_prefix}/src/Mesa/
%define driver_dir		%{_libdir}/dri

%define enable_egl		1
%define enable_vg		0
%define enable_wayland		1

#FIXME: (for 386/485) unset SSE, MMX and 3dnow flags
#FIXME: (for >=i586)  disable sse
#       SSE seems to have problem on some apps (gtulpas) for probing.
%define	dri_drivers_i386	"i915,i965,nouveau,r200,radeon,swrast"
%define	dri_drivers_x86_64	%{dri_drivers_i386}
%define	dri_drivers_ppc		"r200,radeon,swrast"
%define	dri_drivers_ppc64	""
%define	dri_drivers_ia64	"i915,i965,mga,r200,radeon,swrast"
%define	dri_drivers_alpha	"r200,radeon,swrast"
%define	dri_drivers_sparc	"ffb,radeon,swrast"
%define dri_drivers_mipsel	"r200,radeon,swrast"
%define dri_drivers_arm		"nouveau,r200,radeon,swrast"
%define	dri_drivers		%{expand:%{dri_drivers_%{_arch}}}

Name:		mesa
Version: 	10.5.7
Release: 	%{release}
Summary:	OpenGL %{opengl_ver} compatible 3D graphics library
Group:		System/Libraries

BuildRequires:	pkgconfig(xfixes)	>= 4.0.3
BuildRequires:	pkgconfig(xshmfence)
BuildRequires:	pkgconfig(xt)		>= 1.0.5
BuildRequires:	pkgconfig(xmu)		>= 1.0.3
BuildRequires:	pkgconfig(x11)		>= 1.3.3
BuildRequires:	pkgconfig(xdamage)	>= 1.1.1
BuildRequires:	libexpat-devel		>= 2.0.1
BuildRequires:	gccmakedep
BuildRequires:	x11-proto-devel		>= 7.3
BuildRequires:	pkgconfig(libdrm)	>= 2.4.52

BuildRequires:	pkgconfig(xcb-dri3)
BuildRequires:	pkgconfig(xcb-present)  >= 1.11
BuildRequires:	pkgconfig(xext)		>= 1.1.1
BuildRequires:	pkgconfig(xxf86vm)	>= 1.1.0
BuildRequires:	pkgconfig(xi)		>= 1.3
BuildRequires:	pkgconfig(talloc)
BuildRequires:	libxml2-python
BuildRequires:	makedepend
BuildRequires:  bison 
BuildRequires:  flex
BuildRequires:  libelf-devel
BuildRequires:  llvm-devel >= 3.5.2-1
BuildRequires:  pkgconfig(libudev)
BuildRequires:  pkgconfig(libva)
BuildRequires:  pkgconfig(vdpau)
%if %{enable_wayland}
BuildRequires:  wayland-devel
%endif

URL:		http://www.mesa3d.org
%if %{git}
Source0:	%{name}-%{git}.tar.bz2
# (blino) snapshot of 9.0 branch
#Source0:	%{name}-%{git_branch}-%{git}.tar.bz2
%else
Source0:	ftp://ftp.freedesktop.org/pub/mesa/%version/mesa-%{version}%{vsuffix}.%{src_type}
%endif
Source3:	make-git-snapshot.sh

# Instructions to setup your repository clone
# git://git.freedesktop.org/git/mesa/mesa
# git checkout mesa_7_5_branch
# git branch mdv-cherry-picks
# git am ../02??-*.patch
# git branch mdv-redhat
# git am ../03??-*.patch
# git branch mdv-patches
# git am ../09??-*.patch
# In order to update to the branch via patches, issue this command:
# git format-patch --start-number 100 mesa_7_5_1..mesa_7_5_branch | sed 's/^0\([0-9]\+\)-/Patch\1: 0\1-/'

# upstream fixes
Patch0001:	0001-i965-Fix-HW-blitter-pitch-limits.patch
Patch0002:	0002-i915-Blit-RGBX-RGBA-drawpixels.patch
Patch0003:	0003-i965-Export-format-comparison-for-blitting-between-m.patch
Patch0004:	0004-i965-do_blit_drawpixels-decode-array-formats.patch

# Cherry picks
# git format-patch --start-number 200 mesa_7_5_branch..mdv-cherry-picks
Patch201: 0201-revert-fix-glxinitializevisualconfigfromtags-handling.patch

# (blino) should be pushed to 9.0 branch upstream
#Patch202: 0202-radeon-llvm-Cleanup-makefile.patch
#Patch203: 0203-radeon-llvm-Remove-R600InstrInfo.td-from-TD_FILES.patch

# Patches "liberated" from Fedora:
# http://cvs.fedoraproject.org/viewvc/rpms/mesa/devel/
# git format-patch --start-number 300 mdv-cherry-picks..mdv-redhat

# Patches from ChromiumOS
# http://git.chromium.org/gitweb/?p=chromiumos/overlays/chromiumos-overlay.git;a=tree;f=media-libs/mesa/files;hb=HEAD

# Mageia/Mandriva patches
# git format-patch --start-number 900 mdv-redhat..mdv-patches
# (blino) llvmpipe test programs link fails when ld --as-needed option is used, reported as fdo #52167
#Patch901: 0901-gallium-only-link-static-archives-between-ld-start-e.patch

#------------------------------------------------------------------------------

# package mesa
License:	MIT
Requires:	%{libglname} = %{version}-%{release}
Provides:	hackMesa = %{version}
Obsoletes:	hackMesa <= %{version}
Provides:	Mesa = %{version}
Obsoletes:	Mesa < %{version}

%package -n	%{libglname}
Summary:	Files for Mesa (GL and GLX libs)
Group:		System/Libraries
Obsoletes:	%{oldlibglname} < 6.4
Provides:	%{oldlibglname} = %{version}-%{release}
Provides:	%{libglname_virt} = %{version}-%{release}
Requires:	%{dridrivers} >= %{version}-%{release}
%if %{build_plf}
Requires:	%mklibname txc-dxtn
%endif

# (anssi) Forces the upgrade of x11-server-common to happen before
# alternatives removal, which allows x11-server-common to grab the symlink.
Conflicts:	x11-server-common < 1.3.0.0-17

%package -n	%{dridrivers}
Summary:	Mesa DRI drivers
Group:		System/Libraries
# do not require exact release to avoid conflicts when having
# x86_64 dri drivers from tainted and i586 dri drivers from core
Requires:	mesa = %{version}
Conflicts:	%{_lib}MesaGL1 < 7.7-5
Obsoletes:	%{_lib}dri-drivers-experimental < 7.11.2-4
Provides:	%{_lib}dri-drivers-experimental = %{version}-%{release}

%package -n %{libd3dname}
Summary:	Mesa Direct3D9 state tracker
Group:		System/Libraries
Provides:	%{libd3dname_virt} = %{version}-%{release}

%package -n %{libd3dname}-devel
Summary:	Development files for Mesa Direct3D9 state tracker
Group:		Development/C
Requires:	%{libd3dname} = %{version}-%{release}
Provides:	lib%{d3dname}-devel
Provides:	%{d3dname}-devel
Provides:	libd3d-devel

%package -n	%{libglname}-devel
Summary:	Development files for Mesa (OpenGL compatible 3D lib)
Group:		Development/C
Requires:	%{libglname} = %{version}-%{release}
Provides:	lib%{glname}-devel = %{version}-%{release}
Provides:	%{glname}-devel = %{version}-%{release}
Provides:	GL-devel
Obsoletes:	%{oldlibglname}-devel < 6.4
Provides:	%{oldlibglname}-devel = %{version}-%{release}
Provides:	libMesaGL-devel = %{version}-%{release}
Provides:	MesaGL-devel = %{version}-%{release}
Provides:	libgl-devel

%if %{enable_egl}
%package -n	%{libeglname}
Summary:	Files for Mesa (EGL libs)
Group:		System/Libraries
Provides:	%{libeglname_virt} = %{version}-%{release}

%package -n	%{libeglname}-devel
Summary:	Development files for Mesa (EGL libs)
Group:		Development/C
Requires:	%{libeglname} = %{version}-%{release}
Provides:	EGL-devel
Provides:	lib%{eglname}-devel
Provides:	%{eglname}-devel
Provides:	libegl-devel
%endif

%package -n %{libosmesaname}
Summary:	Mesa offscreen rendering library
Group:		System/Libraries

%package -n %{osmesadevel}
Summary:	Development files for libosmesa
Group:		Development/C
Requires:	%{libosmesaname} = %{version}-%{release}
Provides:	osmesa-devel = %{version}-%{release}
Conflicts:	MesaGL-devel < 8.1.0-0.git20120727.3

%package -n %{libglapiname}
Summary:	Files for mesa (glapi libs)
Group:		System/Libraries
Provides:	%{libglapiname_virt} = %{version}-%{release}

%package -n %{libglapiname}-devel
Summary:	Development files for glapi libs
Group:		Development/C
Requires:	%{libglapiname_virt} = %{version}-%{release}
Provides:	lib%{glapiname}-devel
Provides:	%{libglapiname}-devel

%package -n %{libglesv1name}
Summary:	Files for Mesa (glesv1 libs)
Group:		System/Libraries
Provides:	%{libglesv1name_virt} = %{version}-%{release}

%package -n %{libglesv1name}-devel
Summary:	Development files for glesv1 libs
Group:		Development/C
Requires:	%{libglesv1name} = %{version}-%{release}
Provides:	lib%{glesv1name}-devel
Provides:	%{glesv1name}-devel
Provides:	libglesv1-devel

%package -n %{libglesv2name}
Summary:	Files for Mesa (glesv2 libs)
Group:		System/Libraries
Provides:	%{libglesv2name_virt} = %{version}-%{release}

%package -n %{libglesv2name}-devel
Summary:	Development files for glesv2 libs
Group:		Development/C
Requires:	%{libglesv2name} = %{version}-%{release}
Requires:	%{libeglname}-devel = %{version}-%{release}
Provides:	lib%{glesv2name}-devel
Provides:	%{glesv2name}-devel
Provides:	libglesv2-devel

%if %{enable_vg}
%package -n %{libopenvgname}
Summary:	Files for MESA (OpenVG libs)
Group:		System/Libraries
Provides:	%{libopenvgname_virt} = %{version}-%{release}

%package -n %{libopenvgname}-devel
Summary:	Development files vor OpenVG libs
Group:		Development/C
Requires:	%{libopenvgname} = %{version}-%{release}
Provides:	lib%{openvgname}-devel
Provides:	%{openvgname}-devel
Provides:	libopenvg-devel
%endif

%if %{enable_wayland}
%package -n	%{libgbmname}
Summary:	Files for Mesa (gbm libs)
Group:		System/Libraries
Provides:	%{libgbmname_virt} = %{version}-%{release}

%package -n	%{libgbmname}-devel
Summary:	Development files for Mesa (gbm libs)
Group:		Development/C
Requires:	%{libgbmname} = %{version}-%{release}
Provides:	lib%{gbmname}-devel
Provides:	%{gbmname}-devel

%package -n	%{libwaylandeglname}
Summary:	Files for Mesa (Wayland EGL libs)
Group:		System/Libraries
Provides:	%{libwaylandeglname_virt} = %{version}-%{release}

%package -n	%{libwaylandeglname}-devel
Summary:	Development files for Mesa (Wayland EGL libs)
Group:		Development/C
Requires:	%{libwaylandeglname} = %{version}-%{release}
Provides:	lib%{waylandeglname}-devel
Provides:	%{waylandeglname}-devel
%endif

%package -n	%{_lib}vdpau-driver-nouveau
Summary:	VDPAU plugin for nouveau driver
Group:		System/Libraries
# temporary:
%rename vdpau-driver-nouveau

%package -n	%{_lib}vdpau-driver-r300
Summary:	VDPAU plugin for r300 driver
Group:		System/Libraries
# temporary:
%rename vdpau-driver-r300

%package -n	%{_lib}vdpau-driver-r600
Summary:	VDPAU plugin for r600 driver
Group:		System/Libraries
# temporary:
%rename vdpau-driver-r600

%package -n	%{_lib}vdpau-driver-radeonsi
Summary:	VDPAU plugin for radeonsi driver
Group:		System/Libraries
# temporary:
%rename vdpau-driver-radeonsi

%package -n %{libxaname}
Summary:	Files for Mesa XA state tracker
Group:		System/Libraries
Provides:	%{libxaname_virt} = %{version}-%{release}

%package -n %{libxaname}-devel
Summary:	Development files for XA libs
Group:		Development/C
Requires:	%{libxaname_virt} = %{version}-%{release}
Provides:	lib%{xaname}-devel
Provides:	%{libxaname}-devel

%package	common-devel
Summary:	Meta package for mesa devel
Group:		Development/C
Provides:	Mesa-common-devel = %{version}-%{release}
Provides:	hackMesa-common-devel = %{version}
Obsoletes:	Mesa-common-devel < %{version}
Obsoletes:	hackMesa-common-devel < %{version}
Requires:	%{libglname}-devel = %{version}
Requires:	mesaglu-devel
Requires:	freeglut-devel
Requires:	%{libeglname}-devel = %{version}
Requires:	%{libglesv1name}-devel = %{version}
Requires:	%{libglesv2name}-devel = %{version}

#------------------------------------------------------------------------------

%description
Mesa is an OpenGL %{opengl_ver} compatible 3D graphics library.
%if %{build_plf}

This package is in the "tainted" section because it enables some
OpenGL extentions that are covered by software patents.
%endif

%description common-devel
Mesa common metapackage devel

%if %{enable_egl}
%description -n	%{libeglname}
Mesa is an OpenGL %{opengl_ver} compatible 3D graphics library.
EGL parts.

%description -n	%{libeglname}-devel
Mesa is an OpenGL %{opengl_ver} compatible 3D graphics library.
EGL development parts.
%endif

%description -n	%{libglname}
Mesa is an OpenGL %{opengl_ver} compatible 3D graphics library.
GL and GLX parts.

%if %{build_plf}
This package is in the "tainted" section because it enables some
OpenGL extentions that are covered by software patents.
%endif

%description -n %{dridrivers}
Mesa is an OpenGL %{opengl_ver} compatible 3D graphics library.
DRI drivers.

%description -n	%{libglname}-devel
Mesa is an OpenGL %{opengl_ver} compatible 3D graphics library.

This package contains the headers needed to compile Mesa programs.

%description -n %{libglesv1name}
OpenGL ES is a low-level, lightweight API for advanced embedded graphics using
well-defined subset profiles of OpenGL.

This package provides the OpenGL ES library version 1.

%description -n %{libosmesaname}
Mesa offscreen rendering libraries for rendering OpenGL into
application-allocated blocks of memory.

%description -n %{osmesadevel}
This package contains the headers needed to compile programs against
the Mesa offscreen rendering library.

%description -n %{libglapiname}
This packages provides the glapi shared library used by gallium.

%description -n %{libglapiname}-devel
This package contains the headers needed to compile programes against glapi shared library.

%description -n %{libglesv1name}-devel
This package contains the headers needed to compile OpenGL ES 1 programs.

%description -n %{libd3dname}
Mesa Direct3D9 state tracker.

%description -n %{libd3dname}-devel
Mesa Direct3D9 state tracker development package.

%description -n %{libglesv2name}
OpenGL ES is a low-level, lightweight API for advanced embedded graphics using
well-defined subset profiles of OpenGL.

This package provides the OpenGL ES library version 2.

%description -n %{libglesv2name}-devel
This package contains the headers needed to compile OpenGL ES 2 programs.

%if %{enable_vg}
%description -n %{libopenvgname}
OpenVG is a royalty-free, cross-platform API that provides a low-level hardware
acceleration interface for vector graphics libraries such as Flash and SVG.

%description -n %{libopenvgname}-devel
Development files for OpenVG library.
%endif

%if %{enable_wayland}
%description -n	%{libgbmname}
Mesa is an OpenGL %{opengl_ver} compatible 3D graphics library.
GBM (Graphics Buffer Manager) parts.

%description -n	%{libgbmname}-devel
Mesa is an OpenGL %{opengl_ver} compatible 3D graphics library.
GBM (Graphics Buffer Manager) development parts.

%description -n	%{libwaylandeglname}
Mesa is an OpenGL %{opengl_ver} compatible 3D graphics library.
Wayland EGL platform parts.

%description -n	%{libwaylandeglname}-devel
Mesa is an OpenGL %{opengl_ver} compatible 3D graphics library.
Wayland EGL platform development parts.
%endif

%description -n %{libxaname}
This packages provides the xa shared library used by gallium.

%description -n %{libxaname}-devel
This package contains the headers needed to compile programes against xa shared library.

%description -n %{_lib}vdpau-driver-nouveau
This packages provides a VPDAU plugin to enable video acceleration
with the nouveau driver.

%description -n %{_lib}vdpau-driver-r300
This packages provides a VPDAU plugin to enable video acceleration
with the r300 driver.

%description -n %{_lib}vdpau-driver-r600
This packages provides a VPDAU plugin to enable video acceleration
with the r600 driver.

%description -n %{_lib}vdpau-driver-radeonsi
This packages provides a VPDAU plugin to enable video acceleration
with the radeonsi driver.

#------------------------------------------------------------------------------

%prep
%if %{git}
%setup -q -n mesa-%{git}
#setup -q -n mesa-%{git_branch}-%{git}
%else
%setup -q -n mesa-%{version}%{vsuffix}
%endif

%apply_patches

# Duplicate source tree for OSMesa, since building both versions out-of-tree
# would break build. - Anssi 12/2012
all=$(ls)
mkdir -p build-osmesa
cp -al $all build-osmesa

%build
# (re)generate auto* generated files using our autotools and libtoolize
autoreconf -vfi

# for bin/test-driver:
automake --add-missing

# fix build - TODO: should this be fixed in llvm somehow, or maybe the library
# symlinks should be moved to %{_libdir}? -Anssi 08/2012
export LDFLAGS="-L%{_libdir}/llvm"

# (tv) mesa-10.3rc1 workaround broken parralel build:
# (touch: cannot touch '.libs/install-mesa-links': No such file or directory)

 %global _smp_ncpus_max 8

%configure2_5x	--enable-dri \
		--enable-glx \
		--enable-glx-tls \
		--with-dri-driverdir=%{driver_dir} \
		--with-dri-drivers="%{dri_drivers}" \
		--enable-va \
		--enable-nine \
%if %{enable_egl}
		--enable-egl \
%else
		--disable-egl \
%endif
%if %{enable_wayland}
		--with-egl-platforms=x11,wayland,drm \
		--enable-gbm \
		--enable-shared-glapi \
%endif
		--enable-gles1 \
		--enable-gles2 \
%if %{enable_vg}
		--enable-openvg \
%endif
		--enable-gallium-egl \
		--disable-xvmc \
		--enable-vdpau \
%if %{with_hardware}
		--with-gallium-drivers=r300,r600,radeonsi,nouveau,svga,swrast \
		--enable-gallium-llvm \
		--enable-xa \
%else
		--disable-gallium-llvm \
		--with-gallium-drivers=swrast \
%endif
%if %{build_plf}
		--enable-texture-float  \
%endif
		# end of configure options


# Build OSMesa separately, since we want to build OSMesa without shared-glapi,
# since doing that causes OSMesa to miss the OpenGL symbols.
# See e.g. https://bugs.launchpad.net/ubuntu/+source/mesa/+bug/1066599
# -Anssi 12/2012

pushd build-osmesa
autoreconf -vfi
%configure2_5x \
		--enable-osmesa \
		--disable-dri \
		--disable-glx \
		--disable-egl \
		--disable-shared-glapi \
		--without-gallium-drivers
popd

%make
%make -C build-osmesa || ( %make -C build-osmesa/src/mesa/program libprogram.la && %make -C build-osmesa )

%install
%makeinstall_std -C build-osmesa
%makeinstall_std

# FIXME: strip will likely break the hardlink
# (blino) hardlink libGL files in %{_libdir}/mesa
# to prevent proprietary driver installers from removing them
mkdir -p $RPM_BUILD_ROOT%{_libdir}/mesa
pushd $RPM_BUILD_ROOT%{_libdir}/mesa
for l in ../libGL.so.*; do cp -a $l .; done
popd

%ifarch %{x86_64}
mkdir -p $RPM_BUILD_ROOT%{_prefix}/lib/dri
%endif

# .so files are not needed by vdpau
rm -f %{buildroot}%{_libdir}/vdpau/libvdpau_*.so

# .la files are not needed by mesa
find %{buildroot} -name '*.la' -exec rm {} \;

# use swrastg if built (Anssi 12/2011)
[ -e %{buildroot}%{_libdir}/dri/swrastg_dri.so ] && mv %{buildroot}%{_libdir}/dri/swrast{g,}_dri.so

#------------------------------------------------------------------------------

%files
%doc docs/COPYING
%config(noreplace) %{_sysconfdir}/drirc

%files -n %{dridrivers}
%doc docs/COPYING
%ifnarch ppc64
%dir %{_libdir}/dri
# (blino) new mesa 8.1 build system seems to use a static libglsl
#%{_libdir}/dri/libglsl.so
%{_libdir}/dri/*_dri.so
%{_libdir}/dri/*_drv*.so
%endif

%files -n %{libglname}
%doc docs/COPYING
%{_libdir}/libGL.so.*
%dir %{_libdir}/mesa
%{_libdir}/mesa/libGL.so.%{glmajor}*

%if %{enable_egl}
%files -n %{libeglname}
%doc docs/COPYING
%{_libdir}/libEGL.so.%{eglmajor}*
%if !%{enable_wayland}
# st_GL, built only when shared glapi is not enabled
%{_libdir}/egl/st_GL.so
%endif
%endif

%files -n %{libosmesaname}
%{_libdir}/libOSMesa.so.%{osmesamajor}*

%files -n %{libglapiname}
%{_libdir}/libglapi.so.%{glapimajor}*

%files -n %{libglesv1name}
%doc docs/COPYING
%{_libdir}/libGLESv1_CM.so.%{glesv1major}*

%files -n %{libd3dname}
%doc docs/COPYING
%{_libdir}/d3d/*.so.*

%files -n %{libglesv2name}
%doc docs/COPYING
%{_libdir}/libGLESv2.so.%{glesv2major}*

%if %{enable_vg}
%files -n %{libopenvgname}
%doc docs/COPYING
%{_libdir}/libOpenVG.so.%{openvgmajor}*
%endif

%if %{enable_wayland}
%files -n %{libgbmname}
%{_libdir}/libgbm.so.%{gbmmajor}
%{_libdir}/libgbm.so.%{gbmmajor}.*

%files -n %{libwaylandeglname}
%{_libdir}/libwayland-egl.so.%{waylandeglmajor}
%{_libdir}/libwayland-egl.so.%{waylandeglmajor}.*
%endif

%files -n %{libxaname}
%{_libdir}/libxatracker.so.%{xamajor}*

%files -n %{libglname}-devel
%doc docs/COPYING
%dir %{_includedir}/GL
%{_includedir}/GL/gl.h
%{_includedir}/GL/glcorearb.h
%{_includedir}/GL/glext.h
%{_includedir}/GL/gl_mangle.h
%{_includedir}/GL/wglext.h
%{_includedir}/GL/glx.h
%{_includedir}/GL/glxext.h
%{_includedir}/GL/glx_mangle.h
%{_libdir}/libGL.so
%{_libdir}/pkgconfig/gl.pc
%{_libdir}/pkgconfig/dri.pc

#FIXME: check those headers
#{_includedir}/GL/vms_x_fix.h
%{_includedir}/GL/wmesa.h
%dir %{_includedir}/GL/internal
%{_includedir}/GL/internal/dri_interface.h

%files common-devel
%if %{enable_egl}
%files -n %{libeglname}-devel
%doc docs/COPYING
%{_includedir}/EGL
%{_includedir}/KHR
%{_libdir}/libEGL.so
%{_libdir}/pkgconfig/egl.pc
%endif

%files -n %{osmesadevel}
%dir %{_includedir}/GL
%{_includedir}/GL/osmesa.h
%{_libdir}/libOSMesa.so
%{_libdir}/pkgconfig/osmesa.pc

%files -n %{libglapiname}-devel
%{_libdir}/libglapi.so

%files -n %{libglesv1name}-devel
%{_includedir}/GLES
%{_libdir}/libGLESv1_CM.so
%{_libdir}/pkgconfig/glesv1_cm.pc

%files -n %{libglesv2name}-devel
%{_includedir}/GLES2
%{_includedir}/GLES3
%{_libdir}/libGLESv2.so
%{_libdir}/pkgconfig/glesv2.pc

%files -n %{libd3dname}-devel
%{_includedir}/d3dadapter
%{_libdir}/d3d/*.so
%{_libdir}/pkgconfig/d3d.pc

%if %{enable_vg}
%files -n %{libopenvgname}-devel
%{_includedir}/VG
%{_libdir}/libOpenVG.so
%{_libdir}/pkgconfig/vg.pc
%endif

%if %{enable_wayland}
%files -n %{libgbmname}-devel
%{_includedir}/gbm.h
%{_libdir}/libgbm.so
%{_libdir}/pkgconfig/gbm.pc

%files -n %{libwaylandeglname}-devel
%{_libdir}/libwayland-egl.so
%{_libdir}/pkgconfig/wayland-egl.pc
%endif

%files -n %{libxaname}-devel
%{_libdir}/libxatracker.so
%{_includedir}/xa_tracker.h
%{_includedir}/xa_composite.h
%{_includedir}/xa_context.h
%{_libdir}/pkgconfig/xatracker.pc

%files -n %{_lib}vdpau-driver-nouveau
%{_libdir}/vdpau/libvdpau_nouveau.so.*

%files -n %{_lib}vdpau-driver-r300
%{_libdir}/vdpau/libvdpau_r300.so.*

%files -n %{_lib}vdpau-driver-r600
%{_libdir}/vdpau/libvdpau_r600.so.*

%files -n %{_lib}vdpau-driver-radeonsi
%{_libdir}/vdpau/libvdpau_radeonsi.so.*



%changelog
* Sat Jun 13 2015 tmb <tmb> 10.5.7-3.mga5
+ Revision: 823068
- i965: Fix HW blitter pitch limits
- i915: Blit RGBX<->RGBA drawpixels
- i965: Export format comparison for blitting between miptrees
- i965: do_blit_drawpixels: decode array formats

* Fri Jun 12 2015 tmb <tmb> 10.5.7-2.mga5.tainted
+ Revision: 823010
- 10.5.7 (better hw support, llvm fixes

* Tue Mar 24 2015 tmb <tmb> 10.4.7-1.mga5.tainted
+ Revision: 819200
- update to 10.4.7 final

* Fri Mar 20 2015 tmb <tmb> 10.4.6-3.mga5.tainted
+ Revision: 819049
- sync in upstream fixes from upcoming 10.4.7

* Wed Mar 11 2015 tmb <tmb> 10.4.6-2.mga5.tainted
+ Revision: 818325
- gallium/auxiliary/indices: fix start param
- egl: Take alpha bits into account when selecting GBM formats
- r300g: Use PATH_MAX instead of limiting ourselves to 100 chars
- r300g: Check return value of snprintf()
- mesa: rename format_info.c to format_info.h
- i965/vec4: Don't lose the saturate modifier in copy propagation

* Fri Mar 06 2015 tmb <tmb> 10.4.6-1.mga5.tainted
+ Revision: 817931
- 10.4.6 (maintenance release)

* Sat Feb 21 2015 tmb <tmb> 10.4.5-1.mga5.tainted
+ Revision: 816181
- update to 10.4.5

* Sat Feb 07 2015 tv <tv> 10.4.4-2.mga5.tainted
+ Revision: 813873
- new release
- drop merged patches

* Wed Feb 04 2015 tmb <tmb> 10.4.3-2.mga5.tainted
+ Revision: 813462
- mesa: fix display list 8-byte alignment issue
- glx/dri3: Request non-vsynced Present for swapinterval zero
- i965: Fix max_wm_threads for CHV
- configure: Link against all LLVM targets when building clover
- egl: Pass the correct X visual depth to xcb_put_image()
- gallium/util: Don't use __builtin_clrsb in util_last_bit()
- st/osmesa: Fix osbuffer->textures indexing

* Sat Jan 24 2015 tv <tv> 10.4.3-1.mga5.tainted
+ Revision: 812143
- enable Nine state-tracker (Direct3D9 API)
- enable VA state-tracker
- new release

* Tue Jan 13 2015 tmb <tmb> 10.4.2-1.mga5.tainted
+ Revision: 810327
- 10.4.2 (maintenance release)

* Thu Jan 08 2015 tmb <tmb> 10.4.1-2.mga5.tainted
+ Revision: 809313
- i965: Add missing BRW_NEW_*_PROG_DATA to texture/renderbuffer atoms.
- radeonsi: Don't modify PA_SC_RASTER_CONFIG register value if rb_mask == 0
- nv50,nvc0: implement half_pixel_center
- nv50,nvc0: set vertex id base to index_bias
- i965: Fix start/base_vertex_location for >1 prims but !BRW_NEW_VERTICES.
- glsl_to_tgsi: fix a bug in copy propagation
- i965: Use safer pointer arithmetic in intel_texsubimage_tiled_memcpy()
- i965: Use safer pointer arithmetic in gather_oa_results()

* Tue Dec 30 2014 tmb <tmb> 10.4.1-1.mga5.tainted
+ Revision: 807332
- update to 10.4.1
- drop merged patches

* Sun Dec 14 2014 tmb <tmb> 10.4.0-5.mga5.tainted
+ Revision: 803109
- glx/dri3: Fix glXWaitForSbcOML() to handle targetSBC==0 correctly.
- glx/dri3: Track separate (ust, msc) for PresentPixmap vs. PresentNotifyMsc.
- glx/dri3: Request non-vsynced Present for swapinterval zero.
- glx/dri3: Don't fail on glXSwapBuffersMscOML(dpy, window, 0, 0, 0).

* Sun Dec 14 2014 tmb <tmb> 10.4.0-4.mga5.tainted
+ Revision: 803033
- update to 10.4.0 final

* Sun Dec 14 2014 tmb <tmb> 10.4.0-3.rc4.3.mga5.tainted
+ Revision: 803004
- sync in upstream fixes

* Sat Dec 13 2014 tmb <tmb> 10.4.0-3.rc4.2.mga5.tainted
+ Revision: 802914
- rebuild without '~' in release

* Sun Dec 07 2014 tv <tv> 10.4.0-2~rc4.1.mga5.tainted
+ Revision: 802051
- RC4

  + neoclust <neoclust>
    - Enable vg , this is needed for qtbase5

* Sat Nov 29 2014 tv <tv> 10.4.0-2~rc3.1.mga5.tainted
+ Revision: 799832
- new release

* Tue Nov 25 2014 tv <tv> 10.4.0-2~rc2.1.mga5.tainted
+ Revision: 799294
- use tilde for RCs

* Tue Nov 25 2014 tv <tv> 10.4.0-1.rc2.1.mga5
+ Revision: 799259
- new release

* Sat Nov 22 2014 tv <tv> 10.3.4-2.mga5.tainted
+ Revision: 798308
- new release

* Thu Nov 13 2014 tv <tv> 10.3.3-2.mga5.tainted
+ Revision: 796732
- new release

* Sat Oct 25 2014 tv <tv> 10.3.2-2.mga5.tainted
+ Revision: 793202
+ rebuild (emptylog)

* Sat Oct 25 2014 tv <tv> 10.3.2-2.mga5
+ Revision: 793170
- new release
- use new way to limit max number of CPUs
- bump it from 6 to 8

* Wed Oct 15 2014 umeabot <umeabot> 10.3.1-2.mga5.tainted
+ Revision: 747656
- Second Mageia 5 Mass Rebuild

* Mon Oct 13 2014 tv <tv> 10.3.1-1.mga5.tainted
+ Revision: 738481
- new release
- rebuild for missing pythoneggs deps

* Sat Sep 20 2014 tv <tv> 10.3.0-1.mga5.tainted
+ Revision: 697450
- adjust file list
- new release

* Sat Sep 06 2014 tv <tv> 10.3.0-0.rc3.1.mga5.tainted
+ Revision: 672548
- 10.3 RC3

* Fri Sep 05 2014 tmb <tmb> 10.3.0-0.rc2.3.mga5.tainted
+ Revision: 672235
- rebuild with new llvm

* Mon Sep 01 2014 tv <tv> 10.3.0-0.rc2.2.mga5
+ Revision: 670454
- 10.3.0 RC2

* Mon Aug 25 2014 tv <tv> 10.3.0-0.rc1.2.mga5.tainted
+ Revision: 667296
- parralel build fails with -j24 => hardcode -j4
- adjust file list
- new release

* Wed Aug 20 2014 tv <tv> 10.2.6-2.mga5.tainted
+ Revision: 665817
- new release

* Tue Aug 12 2014 blino <blino> 10.2.5-2.mga5.tainted
+ Revision: 662128
- 10.2.5

* Tue Aug 05 2014 blino <blino> 10.2.4-2.mga5.tainted
+ Revision: 659717
- rebuild for xcb-present 1.11

* Sat Jul 19 2014 tv <tv> 10.2.4-1.mga5.tainted
+ Revision: 653699
- new release
- revert "relax needlessly strict llvm BR version requirement"
  we really need llvm-3.4+ for radeonsi
  (see http://cgit.freedesktop.org/mesa/mesa/log/?h=10.2&qt=grep&q=llvm+3.4)

* Tue Jul 08 2014 tv <tv> 10.2.3-1.mga5.tainted
+ Revision: 650618
- new release
- new release

  + luigiwalser <luigiwalser>
    - enable glx-tls since it is enabled in x11-server (this must match)

* Wed Jun 25 2014 tv <tv> 10.2.2-1.mga5.tainted
+ Revision: 639551
- new release

* Mon Jun 16 2014 tmb <tmb> 10.2.1-3.mga5.tainted
+ Revision: 637662
- rebuild for new llvm

* Sun Jun 08 2014 tv <tv> 10.2.1-2.mga5.tainted
+ Revision: 634695
- enable vmwgfx/svga driver for vmware

* Sun Jun 08 2014 tv <tv> 10.2.1-1.mga5
+ Revision: 634669
- enable XA state tracker for vmware driver

* Sun Jun 08 2014 tv <tv> 10.2.1-0.1.mga5.tainted
+ Revision: 634652
- new release

* Mon Jun 02 2014 tv <tv> 10.2.0-0.rc5.0.1.mga5.tainted
+ Revision: 630596
- new release

* Mon May 26 2014 tv <tv> 10.2.0-0.rc4.0.1.mga5.tainted
+ Revision: 626598
- new release

* Thu May 22 2014 tv <tv> 10.2.0-0.rc3.0.1.mga5.tainted
+ Revision: 624860
- new RC

  + tmb <tmb>
    - rebuild for fixed llvm

* Tue May 13 2014 tmb <tmb> 10.2.0-0.rc2.0.2.mga5.tainted
+ Revision: 622587
- rebuild with gcc 4.9

* Sat May 10 2014 tv <tv> 10.2.0-0.rc2.0.1.mga5.tainted
+ Revision: 621812
- new RC

* Sat May 03 2014 tv <tv> 10.2.0-0.rc1.0.1.mga5.tainted
+ Revision: 619803
- new RC

* Fri Apr 25 2014 tv <tv> 10.1.1-2.mga5.tainted
+ Revision: 618024
- new release

* Wed Mar 05 2014 tv <tv> 10.1.0-2.mga5.tainted
+ Revision: 600225
- new release 10.1.0 final

* Sat Mar 01 2014 tv <tv> 10.1.0-0.rc3.2.mga5.tainted
+ Revision: 598444
- 10.1.0 RC3

* Sat Feb 22 2014 tv <tv> 10.1.0-0.rc2.2.mga5.tainted
+ Revision: 595503
- 10.1.0 RC2

* Sat Feb 08 2014 tv <tv> 10.1.0-0.rc1.2.mga5.tainted
+ Revision: 586838
- rebuild for new llvm

* Sat Feb 08 2014 tv <tv> 10.1.0-0.rc1.1.mga5.tainted
+ Revision: 585825
- BR pkgconfig(xcb-dri3) & pkgconfig(xcb-present)
- bump required libdrm
- new release
- BR xshmfence

* Tue Feb 04 2014 tv <tv> 10.0.3-2.mga5.tainted
+ Revision: 581595
- new release
- drop merged patches

* Thu Jan 09 2014 tmb <tmb> 10.0.2-1.mga4.tainted
+ Revision: 566020
- i965: Don't do the temporary-and-blit-copy for INVALIDATE_RANGE maps
- i965: Fix handling of MESA_pack_invert in blit (PBO) readpixels
- i965: fold offset into coord for textureOffset(gsampler2DRect)
- drop merged patces
- update to 10.0.2

* Sun Jan 05 2014 tmb <tmb> 10.0.1-2.mga4.tainted
+ Revision: 564877
- r600g/sb: fix stack size computation on evergreen
- mesa: fix interpretation of glClearBuffer(drawbuffer)
- dri_util: Don't assume __DRIcontext->driverPrivate is a gl_context
- mesa: Fix error code generation in glBeginConditionalRender()
- Use line number information from entire function expression
- i965: Fix 3DSTATE_PUSH_CONSTANT_ALLOC_PS packet creation
- i915: Add support for gl_FragData[0] reads.
- st/mesa: use pipe_sampler_view_release() (fixes segfault)
- llvmpipe: use pipe_sampler_view_release() to avoid segfault
- clover: Remove unused variable
- pipe_loader/sw: close dev->lib when initialization fails
- radeon/compute: Stop leaking LLVMContexts in radeon_llvm_parse_bitcode
- r600/compute: Free compiled kernels when deleting compute state
- r600/compute: Use the correct FREE macro when deleting compute state
- radeon/llvm: Free target data at end of optimization
- st/vdpau: Destroy context when initialization fails
- r600/pipe: Stop leaking context->start_compute_cs_cmd.buf on EG/CM
- r600g: fix SUMO2 pci id
- Revert "mesa: Remove GLXContextID typedef from glx.h."
- glcpp: error on multiple #else/#elif directives
- st/mesa: fix glClear with multiple colorbuffers and different formats
- i965/gen6: Fix HiZ hang in WebGL Google Maps
- glsl: Teach ir_variable_refcount about ir_loop::counter variables.
- glsl: Fix inconsistent assumptions about ir_loop::counter.
- nv50: fix a small leak on context destroy

* Fri Dec 13 2013 tv <tv> 10.0.1-1.mga4.tainted
+ Revision: 556550
- new release

* Fri Dec 06 2013 tmb <tmb> 10.0.0-2.mga4.tainted
+ Revision: 555503
- push to /release

* Mon Dec 02 2013 tv <tv> 10.0.0-1.mga4.tainted
+ Revision: 554635
- new release

* Thu Nov 28 2013 tv <tv> 9.2.4-1.mga4.tainted
+ Revision: 553821
- new release

* Wed Nov 13 2013 tv <tv> 9.2.3-1.mga4.tainted
+ Revision: 551068
- new release

* Wed Nov 06 2013 tmb <tmb> 9.2.2-1.mga4.tainted
+ Revision: 549804
- update to 9.2.2 (maintenance release)

* Mon Oct 21 2013 umeabot <umeabot> 9.2.1-2.mga4.tainted
+ Revision: 539306
- Mageia 4 Mass Rebuild

* Sat Oct 05 2013 tmb <tmb> 9.2.1-1.mga4.tainted
+ Revision: 491931
- disable fix for subdir-objects warning as it breaks the build

  + tv <tv>
    - try to fix build
    --enable-gallium-g3dvl no more exists
    - new release
    - new release
    - 9.2 RC2

  + fwang <fwang>
    - drop warning in automake 1.14

* Thu Aug 22 2013 tv <tv> 9.2.0-0.rc1.1.mga4.tainted
+ Revision: 469191
- libllvmradeon is no more
- adjust file list
- adjust file list
- BR libelf-devel
- 9.2.0 RC1

* Sun Aug 11 2013 tmb <tmb> 9.1.6-2.mga4.tainted
+ Revision: 465405
- rebuild with new gcc

* Sat Aug 03 2013 fwang <fwang> 9.1.6-1.mga4.tainted
+ Revision: 462788
- new version 9.1.6

* Thu Jul 18 2013 fwang <fwang> 9.1.5-1.mga4.tainted
+ Revision: 455491
- new version 9.1.5

* Tue Jul 02 2013 fwang <fwang> 9.1.4-1.mga4.tainted
+ Revision: 449605
- new version 9.1.4

* Thu May 23 2013 fwang <fwang> 9.1.3-1.mga4.tainted
+ Revision: 424801
- new verison 9.1.3

* Wed May 01 2013 tv <tv> 9.1.2-1.mga3.tainted
+ Revision: 411744
- new release

* Sat Apr 27 2013 tmb <tmb> 9.1.1-2.mga3.tainted
+ Revision: 411326
- radeonsi: add new SI pci ids
- r600g: add new richland pci ids

* Wed Mar 20 2013 tv <tv> 9.1.1-1.mga3.tainted
+ Revision: 404192
- do not hardcode version in file list
- new release

  + fwang <fwang>
    - update llvmradeonmajor

* Sat Feb 23 2013 tmb <tmb> 9.1.0-1.mga3.tainted
+ Revision: 400079
- update to 9.1 final

* Thu Feb 14 2013 cjw <cjw> 9.1.0-0.git20130213.1.mga3.tainted
+ Revision: 398478
- new snapshot

* Sat Feb 02 2013 cjw <cjw> 9.1.0-0.git20130201.1.mga3.tainted
+ Revision: 394036
- new snapshot from 9.1 branch (20130201)

* Wed Jan 16 2013 cjw <cjw> 9.1.0-0.git20130114.1.mga3.tainted
+ Revision: 388874
- new git snapshot (20130114)
- disable patch901, apparently not needed anymore

* Sat Jan 12 2013 umeabot <umeabot> 9.1.0-0.git20121228.3.mga3.tainted
+ Revision: 359973
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Dec 29 2012 cjw <cjw> 9.1.0-0.git20121228.2.mga3.tainted
+ Revision: 336233
- build osmesa separately again since this is still needed, with a workaround for the build problem

* Sat Dec 29 2012 cjw <cjw> 9.1.0-0.git20121228.1.mga3.tainted
+ Revision: 336175
- 9.1 snapsnot from 20121228
- disable separate osmesa build since it fails to build, let's hope it is not needed anymore
- move autoreconf to build section where it belongs
- drop unrecognized configure options --enable-shared-dricore and --disable-va

  + tv <tv>
    - rebuild for new llvm

* Tue Dec 18 2012 anssi <anssi> 9.0.1-2.mga3.tainted
+ Revision: 332631
- build OSMesa separately without shared-glapi instead of patching
  undefined symbols, since that was not enough to get a properly working
  OSMesa

* Sat Nov 17 2012 fwang <fwang> 9.0.1-1.mga3.tainted
+ Revision: 319028
- new version 9.0.1

* Wed Oct 17 2012 fwang <fwang> 9.0.0-2.mga3.tainted
+ Revision: 307643
- add krh patch to build with wayland 0.99
- rebuild for new wayland

* Tue Oct 09 2012 tv <tv> 9.0.0-1.mga3.tainted
+ Revision: 303797
- fix blino packaging so that stable is newer than git snapshot
- new release
- drop patch 101, 201, 202 (merged)

* Thu Oct 04 2012 rtp <rtp> 9.0.0-0.git20120929.3.mga3.tainted
+ Revision: 302732
- enable some dri drivers on arm to workaround ftbfs.

  + tv <tv>
    - temporary obsolete older cauldron vdpau-driver-* packages

* Mon Oct 01 2012 tv <tv> 9.0.0-0.git20120929.2.mga3.tainted
+ Revision: 301233
- libify vdpau-driver-* names like GL drivers so that biarch systems can use them too

* Sun Sep 30 2012 blino <blino> 9.0.0-0.git20120929.1.mga3.tainted
+ Revision: 300616
- use System/Libraries group for vdpau drivers
- remove merged hunk in patch1
- update to snapshot of 9.0 branch from 20120929

* Thu Sep 13 2012 tv <tv> 9.0.0-0.git20120907.2.mga3.tainted
+ Revision: 293701
- rebuild for new x11-server

* Fri Sep 07 2012 blino <blino> 9.0.0-0.git20120907.1.mga3.tainted
+ Revision: 289617
- revert osmesa major to 8
- update to snapshot of 9.0 branch from 20120907

* Fri Sep 07 2012 blino <blino> 9.0.0-0.git20120906.1.mga3.nonfree
+ Revision: 289603
- update descriptions to state that mesa supports OpenGL 3.0

* Fri Sep 07 2012 blino <blino> 9.0.0-0.git20120906.1.mga3
+ Revision: 289384
- add second patch for the radeon parallel build
- remove libGLU packages, they have been split upstream
- run autoreconf in prep, not build
- bump osmesa major
- enable again radeonsi now that upstream fixed symbol conflicts with r600g
- rediff undefined symbols patch
- use upstream patch for the parallel radeon build issue
- remove i965 patches from Chromium for issues that have been fixed in 9.0
- update to snapshot of 9.0 branch from 20120906

* Mon Aug 06 2012 blino <blino> 8.1.0-0.git20120802.6.mga3.tainted
+ Revision: 279553
- use the Video group for vdpau drivers (instead of System/Libraries, so
  that they are not listed by urpmi_rpm-find-leaves -g)

* Mon Aug 06 2012 luigiwalser <luigiwalser> 8.1.0-0.git20120802.5.mga3.tainted
+ Revision: 278988
- rebuild for libffi

* Sun Aug 05 2012 blino <blino> 8.1.0-0.git20120802.4.mga3.tainted
+ Revision: 278734
- add another patch from marcheu/ChromiumOS to skip HiZ flush if no drawing has been done
- add patch from marcheu/ChromiumOS to fix clutter apps segfault on i965 (e.g. gnome-control-center, rh #842413)
- use apply_patches macro

* Sun Aug 05 2012 anssi <anssi> 8.1.0-0.git20120802.3.mga3.tainted
+ Revision: 278531
- fix undefined symbols in libOSMesa and libglapi
  (Fix-undefined-symbols-in-libOSMesa-and-libglapi.patch)

* Sat Aug 04 2012 blino <blino> 8.1.0-0.git20120802.2.mga3.tainted
+ Revision: 278333
- use a better patch to fix llvmpipe link
- disable radeonsi again, egl_gallium fails to link if both r600 and
  radeonsi are enabled (reported as fdo #52167)
- build radeonsi gallium driver: dri and vdpau (requires llvm >= 3.1)

* Fri Aug 03 2012 blino <blino> 8.1.0-0.git20120802.1.mga3.tainted
+ Revision: 278175
- update to snapshot from 20120802
- remove unneeded gl.pc patch now that osmesa.pc is in drivers/osmesa

* Thu Aug 02 2012 anssi <anssi> 8.1.0-0.git20120727.3.mga3.tainted
+ Revision: 278008
- enable libosmesa library for off-screen rendering
- fix parallel make (mesa-radeon-parallel-make.patch)
- fix installation of gl.pc when osmesa is enabled
  (mesa-8.1-fixglpc.patch from Fedora)
- replace deprecated configure parameter
- fix build with current llvm
- own /usr/include/GL

* Thu Aug 02 2012 guillomovitch <guillomovitch> 8.1.0-0.git20120727.2.mga3.tainted
+ Revision: 277908
- rebuild for latest libglew

* Sat Jul 28 2012 blino <blino> 8.1.0-0.git20120727.1.mga3.tainted
+ Revision: 275087
- update to snapshot from 20120727

* Tue Jul 24 2012 blino <blino> 8.1.0-0.git20120724.1.mga3.tainted
+ Revision: 274133
- do not build radeonsi yet, it requires LLVM 3.1
- dri drivers: do not require exact mesa release to avoid conflicts when
  having x86_64 drivers from tainted and i586 drivers from core (#6862)
- the main package can not be noarch
- build radeonsi gallium driver
- update to snapshot from 20120724 (for radeonsi)
- make mesa package noarch since it contains only a config file (possible fix for #6862)

* Mon Jul 23 2012 blino <blino> 8.1.0-0.git20120723.1.mga3.tainted
+ Revision: 273748
- update to snapshot from 20120723

* Sun Jul 22 2012 blino <blino> 8.1.0-0.git20120722.1.mga3.tainted
+ Revision: 273557
- update to snapshot from 20120722

* Thu Jul 19 2012 tmb <tmb> 8.1.0-0.git20120715.2.mga3.tainted
+ Revision: 272377
- rebuild with new glibc

* Mon Jul 16 2012 blino <blino> 8.1.0-0.git20120715.1.mga3
+ Revision: 271501
- dricore is now in libdir, create dricore lib sub-packages
- package new /etc/drirc in the mesa package and make dri drivers require it
- libglsl dynamic lib is gone, now a static lib is used by Mesa build system
- workaround llvmpipe test program link failure by removing --as-needed option for these (reported as fdo #52167)
- remove nouveau backports (already in Mesa 8.1)
- Mesa 8.1 git snapshot from 20120715
- remove obsolete README files from mesa package
- remove unused mesa-driver-install script source
- remove la files since they are not needed by mesa (prepare for mesa 8.1)
- drop unapplied patches
- always run autoreconf, and do not run autoreconf + configure twice when building from git

* Sat Jul 14 2012 blino <blino> 8.0.4-2.mga3
+ Revision: 270761
- build Gallium3D VDPAU plugins (using a package naming scheme similar to vaapi)
- drop obsolete --with-state-trackers=dri configure option,
--with-driver=dri does the same
- drop obsolete --disable-glut option, glut has been removed from upstream sources
- drop obsolete --enable-gallium-nouveau option, replaced by --with-gallium-drivers=nouveau

* Tue Jul 10 2012 anssi <anssi> 8.0.4-1.mga3.tainted
+ Revision: 269296
- new release 8.0.4
- backport nouveau commits from git master to allow build with
  libdrm_nouveau-2 (patches 401..420, plus adaptation patch 421)

* Fri Jun 29 2012 colin <colin> 8.0.3-3.mga3.tainted
+ Revision: 264947
- Rebuild against new libudev major

  + fwang <fwang>
    - rebuild for new drm_nouveau

* Wed May 30 2012 tv <tv> 8.0.3-1.mga3
+ Revision: 249561
- new release

* Thu Apr 12 2012 blino <blino> 8.0.2-2.mga2
+ Revision: 230504
- buildrequire llvm-devel since package has been split

* Thu Mar 22 2012 tv <tv> 8.0.2-1.mga2
+ Revision: 225653
- new release

* Thu Mar 01 2012 blino <blino> 8.0.1-3.mga2
+ Revision: 216556
- glesv2 devel package should require egl devel package (for KHR/khrplatform.h include)

* Wed Feb 29 2012 blino <blino> 8.0.1-2.mga2
+ Revision: 215979
- enable gbm (Graphics Buffer Manager) and wayland-egl

* Fri Feb 17 2012 tv <tv> 8.0.1-1.mga2
+ Revision: 210130
- new release

* Sat Feb 11 2012 tv <tv> 8.0-1.mga2.tainted
+ Revision: 207197
- drop unapplied patch 300 that was dropped by FC

* Fri Feb 10 2012 tv <tv> 8.0-1.mga2
+ Revision: 207029
- new release
- mesaGLUT is dead
- libGLw is dead
- drop drivers droped upstream
- drop patch 203 (upstream)

* Thu Dec 22 2011 anssi <anssi> 7.11.2-5.mga2.tainted
+ Revision: 186083
- fix crash with nouveau when opening an image in gwenview 4.7.90
  (nv50-nvc0-use-screen-instead-of-context-for-flush-notifier.patch from
   upstream git master)

* Wed Dec 14 2011 anssi <anssi> 7.11.2-4.mga2.tainted
+ Revision: 181478
- move nouveau drivers from -experimental to main DRI drivers package
  (as per discussion on mageia-dev@)
- drop swrast driver and rename swrastg to replace it (as per discussion
  on mageia-dev@)

* Tue Dec 06 2011 tmb <tmb> 7.11.2-3.mga2.tainted
+ Revision: 177781
- rebuild with gcc-4.6.2

* Mon Dec 05 2011 fwang <fwang> 7.11.2-2.mga2.tainted
+ Revision: 176868
- more patch on llvm 3.0
- more patch on llvm 3.0
- add upstream patch to build with llvm 3.0
- rebuild for new llvm

* Mon Nov 28 2011 tv <tv> 7.11.2-1.mga2.tainted
+ Revision: 173693
- new release
- new release

* Fri Nov 18 2011 fwang <fwang> 7.11.1-1.mga2.tainted
+ Revision: 168659
- new version 7.11.1

* Wed Nov 09 2011 anssi <anssi> 7.11-4.mga2.tainted
+ Revision: 165988
- build with shared dricore to make DRI driver binaries smaller
- re-enable parallel build
- drop old unapplied patch for dricore, implemented upstream

* Tue Oct 04 2011 colin <colin> 7.11-3.mga2.tainted
+ Revision: 151468
- Switch to freeglut now that it's been submitted

  + tv <tv>
    - explain why tainted in the SRPM description too
    - when tainted, require libtxc-dxtn (mga#1079)
    - fix require (libglut-devel => freeglut-devel) (mga#2421)
    - enable GL_ARB_texture_float extension in tainted section
    - new release
    - new prerelease
    - new prerelease

* Wed Jul 20 2011 mikala <mikala> 7.11-0.rc2.1.mga2
+ Revision: 127466
- Update tarball to mesa 7.11 rc2
- use pkconfig() for buildrequires
- fix files list

* Tue Jul 12 2011 mikala <mikala> 7.11-0.rc1.1.git20110712.1.mga2
+ Revision: 123310
- Update tarball to mesa 7.11 rc1 (use git tarball)
- enable back mesaglut
- fix file list
- Add udev-devel as BR
- Use git tarball (snapshot of 20110620) (which can really help gnome-shell...)
- Enable gallium drivers (for r300,r600,nouveau,swrast)
- Disable for the moment patch202,300,902,903,904,2004
- Disable build of mesa glut

* Tue Jun 14 2011 dmorgan <dmorgan> 7.10.3-1.mga2
+ Revision: 106004
- Remove P1000 ( Merged upstream )
  Add bison and flex as buildrequires

  + tv <tv>
    - new release mgarepo sync -c

* Tue Apr 19 2011 tv <tv> 7.10.2-4.mga1
+ Revision: 88451
- enable EGL since OpenVG support needs EGL
- add OpenVG packages
- remove useless glew BR thus hepling bootstraping
- add OpenGL ES 1 & 2 packages (for chromium and future)
- fix possibility to disable EGL
- make egl-devel requires libegl instead of libgl
- add "generic" provides to libs
- move pkgconfig files to the right places (and add proper Conflicts)
- use %%*majors in %%files definitions
- reorder packages to reduce differences with mdv
- fix a misplaced %%endif
- remove useless tcl & texinfo BR

* Tue Apr 19 2011 tv <tv> 7.10.2-3.mga1
+ Revision: 88346
- drop commented out applying non existing patch 1001
- use %%makeinstall_std
- remove unexistent --with-demos configure option
- remove white spaces at the end of lines
- remove useless exported variables
- there are no .la files, there's nothing to perl -pi -e
- remove useless mkdir
- move some requires from libgl-devel into libglut-devel
- libgl-devel  should require libgl instead of mesa
- don't remove files that don't exist
- add with_mesaglut switch (to help future freeglut conversion)

* Sun Apr 17 2011 tmb <tmb> 7.10.2-2.mga1
+ Revision: 86949
- i965: bump VS thread number to 60 on Sandy Bridge

* Tue Apr 12 2011 tv <tv> 7.10.2-1.mga1
+ Revision: 83583
- new release

* Mon Mar 28 2011 blino <blino> 7.10.1-1.mga1
+ Revision: 78230
- nouveau: fix includes for latest libdrm (from upstream git)
- 7.10.1 (fixes dri2 with r300)

* Sun Jan 23 2011 tmb <tmb> 7.10-1.mga1
+ Revision: 35532
- update to 7.10
- drop P905 (merged)
- add BR: makedepend

* Sat Jan 15 2011 rtp <rtp> 7.9-2.mga1
+ Revision: 18133
- add bootstrap (mesa->glew->mesa)
- fix build with current libdrm
- fix build on arm

  + pterjan <pterjan>
    - Drop obsolete scriptlets
    - imported package mesa

